## ros-indigo-pcl-ros 1.2.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(pcl_ros)

## Find system dependencies
find_package(cmake_modules REQUIRED)
find_package(Boost REQUIRED COMPONENTS system filesystem thread)
find_package(Eigen REQUIRED)
find_package(PCL REQUIRED)

## Find catkin packages
find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
  genmsg
  nodelet
  nodelet_topic_tools
  pcl_conversions
  pcl_msgs
  pluginlib
  rosbag
  rosconsole
  roscpp
  roslib
  sensor_msgs
  std_msgs
  tf
)

## Add include directories
include_directories(include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${Eigen_INCLUDE_DIRS}
  ${PCL_INCLUDE_DIRS}
)

## Generate dynamic_reconfigure
generate_dynamic_reconfigure_options(
  cfg/EuclideanClusterExtraction.cfg
  cfg/ExtractIndices.cfg
  cfg/ExtractPolygonalPrismData.cfg
  cfg/Feature.cfg
  cfg/Filter.cfg
  cfg/MLS.cfg
  cfg/SACSegmentation.cfg
  cfg/SACSegmentationFromNormals.cfg
  cfg/SegmentDifferences.cfg
  cfg/StatisticalOutlierRemoval.cfg
  cfg/RadiusOutlierRemoval.cfg
  cfg/VoxelGrid.cfg
  cfg/CropBox.cfg
)

## Declare the catkin package
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
    pcl_ros_filters
    pcl_ros_io
    pcl_ros_tf
  CATKIN_DEPENDS
    dynamic_reconfigure
    message_filters
    nodelet
    pcl_conversions
    pcl_msgs
    rosbag
    roscpp
    sensor_msgs
    std_msgs
    tf
  DEPENDS
    Boost
    Eigen
    PCL
)

## Declare the pcl_ros_tf library
add_library(pcl_ros_tf src/transforms.cpp)
target_link_libraries(pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${Eigen_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_tf pcl_ros_generate_messages_cpp ${catkin_EXPORTED_TARGETS})

## Nodelets

## Declare the pcl_ros_io library
add_library(pcl_ros_io
  src/pcl_ros/io/bag_io.cpp
  src/pcl_ros/io/concatenate_data.cpp
  src/pcl_ros/io/concatenate_fields.cpp
  src/pcl_ros/io/io.cpp
  src/pcl_ros/io/pcd_io.cpp
)
target_link_libraries(pcl_ros_io pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${Eigen_LIBRARIES} ${PCL_LIBRARIES})
class_loader_hide_library_symbols(pcl_ros_io)

## Declare the pcl_ros_features library
add_library(pcl_ros_features
  src/pcl_ros/features/feature.cpp
  # Compilation is much faster if we include all the following CPP files in feature.cpp
  src/pcl_ros/features/boundary.cpp
  src/pcl_ros/features/fpfh.cpp
  src/pcl_ros/features/fpfh_omp.cpp
  src/pcl_ros/features/shot.cpp
  src/pcl_ros/features/shot_omp.cpp
  src/pcl_ros/features/moment_invariants.cpp
  src/pcl_ros/features/normal_3d.cpp
  src/pcl_ros/features/normal_3d_omp.cpp
  src/pcl_ros/features/pfh.cpp
  src/pcl_ros/features/principal_curvatures.cpp
  src/pcl_ros/features/vfh.cpp
)
target_link_libraries (pcl_ros_features ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${Eigen_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_features ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_features)


## Declare the pcl_ros_filters library
add_library(pcl_ros_filters
  src/pcl_ros/filters/extract_indices.cpp
  src/pcl_ros/filters/filter.cpp
  src/pcl_ros/filters/passthrough.cpp
  src/pcl_ros/filters/project_inliers.cpp
  src/pcl_ros/filters/radius_outlier_removal.cpp
  src/pcl_ros/filters/statistical_outlier_removal.cpp
  src/pcl_ros/filters/voxel_grid.cpp
  src/pcl_ros/filters/crop_box.cpp
)
target_link_libraries(pcl_ros_filters pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${Eigen_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_filters ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_filters)

## Declare the pcl_ros_segmentation library
add_library (pcl_ros_segmentation
  src/pcl_ros/segmentation/extract_clusters.cpp
  src/pcl_ros/segmentation/extract_polygonal_prism_data.cpp
  src/pcl_ros/segmentation/sac_segmentation.cpp
  src/pcl_ros/segmentation/segment_differences.cpp
  src/pcl_ros/segmentation/segmentation.cpp
)

target_link_libraries(pcl_ros_segmentation pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${Eigen_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_segmentation ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_segmentation)

## Declare the pcl_ros_surface library
add_library (pcl_ros_surface
  src/pcl_ros/surface/surface.cpp
  # Compilation is much faster if we include all the following CPP files in surface.cpp
  src/pcl_ros/surface/convex_hull.cpp
  src/pcl_ros/surface/moving_least_squares.cpp
)
target_link_libraries(pcl_ros_surface ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${Eigen_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_surface ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_surface)

## Tools

add_executable(pcd_to_pointcloud tools/pcd_to_pointcloud.cpp)
target_link_libraries(pcd_to_pointcloud ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${Eigen_LIBRARIES} ${PCL_LIBRARIES})

add_executable(pointcloud_to_pcd tools/pointcloud_to_pcd.cpp)
target_link_libraries(pointcloud_to_pcd ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${Eigen_LIBRARY_DIRS} ${PCL_LIBRARIES})

add_executable(bag_to_pcd tools/bag_to_pcd.cpp)
target_link_libraries(bag_to_pcd pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${Eigen_LIBRARY_DIRS} ${PCL_LIBRARIES})

add_executable(convert_pcd_to_image tools/convert_pcd_to_image.cpp)
target_link_libraries(convert_pcd_to_image ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${Eigen_LIBRARIES} ${PCL_LIBRARIES})

add_executable(convert_pointcloud_to_image tools/convert_pointcloud_to_image.cpp)
target_link_libraries(convert_pointcloud_to_image ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${Eigen_LIBRARIES} ${PCL_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(
  TARGETS
    pcl_ros_tf
    pcl_ros_io
    pcl_ros_features
    pcl_ros_filters
    pcl_ros_surface
    pcl_ros_segmentation
    pcd_to_pointcloud
    pointcloud_to_pcd
    bag_to_pcd
    convert_pcd_to_image
    convert_pointcloud_to_image
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY plugins DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-pcl-ros (1.2.9-0trusty) trusty; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Tue, 03 Apr 2018 15:00:00 -0000

ros-indigo-pcl-ros (1.2.8-0trusty) trusty; urgency=high

  * update to use non deprecated pluginlib macro
  * Install xml files declaring nodelets
    https://github.com/ros-perception/perception_pcl/commit/f81cded18b4f6d398b460a36c953fe6620a02bd6#commitcomment-21871201
    @scottnothing Thanks!
  * Fix syntax of nodelet manifest file
    By splitting files for each library.
    Close #131 <https://github.com/ros-perception/perception_pcl/issues/131>
  * Merge pull request #114 <https://github.com/ros-perception/perception_pcl/issues/114> from dpiet/indigo-devel
    Fixing typo in a ROS_INFO statement
  * Fixing typo in a ROS_INFO statement
    Statement was incorrectly informing user that PCD would be saved as binary instead of ASCII.
  * Merge cleanup broken library links
  * Contributors: Kentaro Wada, Mikael Arguedas, Paul Bovbel, dpiet, v4hn

 -- Paul Bovbel <paul@bovbel.com>  Mon, 02 Apr 2018 15:00:00 -0000

ros-indigo-pcl-ros (1.2.7-0trusty) trusty; urgency=high

  * Sync pcl_nodelets.xml from hydro to indigo
    Fixes to pass catkin lint -W1
  * Fixes #87 <https://github.com/ros-perception/perception_pcl/issues/87> for Indigo
  * Fixes #85 <https://github.com/ros-perception/perception_pcl/issues/85> for Indigo
  * Fixes #77 <https://github.com/ros-perception/perception_pcl/issues/77> and #80 <https://github.com/ros-perception/perception_pcl/issues/80> for indigo
  * Added option to save pointclouds in binary and binary compressed format
  * Contributors: Lucid One, Mitchell Wills

 -- Paul Bovbel <paul@bovbel.com>  Sun, 07 Jun 2015 15:00:00 -0000

ros-indigo-pcl-ros (1.2.6-0trusty) trusty; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Tue, 03 Feb 2015 15:00:00 -0000

ros-indigo-pcl-ros (1.2.5-0trusty) trusty; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 19 Jan 2015 15:00:00 -0000

ros-indigo-pcl-ros (1.2.4-0trusty) trusty; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 14 Jan 2015 15:00:00 -0000

ros-indigo-pcl-ros (1.2.3-0trusty) trusty; urgency=high

  * Update common.py
    Extended filter limits up to ±100000.0 in order to support intensity channel filtering.
  * Contributors: Dani Carbonell

 -- Paul Bovbel <paul@bovbel.com>  Fri, 09 Jan 2015 15:00:00 -0000

ros-indigo-pcl-ros (1.2.2-0trusty) trusty; urgency=high

  * Adding target_frame
    [Ability to specify frame in bag_to_pcd ](https://github.com/ros-perception/perception_pcl/issues/55)
  * Update pcl_nodelets.xml
    Included missing closing library tag.  This was causing the pcl/Filter nodelets below the missing nodelet tag to not be exported correctly.
  * Contributors: Matt Derry, Paul Bovbel, Ruffin

 -- Paul Bovbel <paul@bovbel.com>  Fri, 24 Oct 2014 15:00:00 -0000

ros-indigo-pcl-ros (1.2.1-0trusty) trusty; urgency=high

  * clean up merge
  * merge pull request #60 <https://github.com/ros-perception/perception_pcl/issues/60>
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 12 Sep 2014 15:00:00 -0000

ros-indigo-pcl-ros (1.2.0-0trusty) trusty; urgency=high

  * Updated maintainership
  * Fix TF2 support for bag_to_pcd #46 <https://github.com/ros-perception/perception_pcl/issues/46>
  * Use cmake_modules to find eigen on indigo #45 <https://github.com/ros-perception/perception_pcl/issues/45>

 -- Paul Bovbel <paul@bovbel.com>  Tue, 08 Apr 2014 15:00:00 -0000

ros-indigo-pcl-ros (1.1.7-0trusty) trusty; urgency=high

  * adding more uncaught config dependencies
  * adding FeatureConfig dependency too

 -- Paul Bovbel <paul@bovbel.com>  Thu, 19 Sep 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.6-0trusty) trusty; urgency=high

  * add excplicit dependency on gencfg target

 -- Paul Bovbel <paul@bovbel.com>  Thu, 19 Sep 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.5-0trusty) trusty; urgency=high

  * Updated package.xml's to use new libpcl-all rosdep rules
  * package.xml: tuned whitespaces
    This commit removes trailing whitespaces and makes the line with the license information in the package.xml bitwise match exactly the common license information line in most ROS packages.
    The trailing whitespaces were detected when providing a bitbake recipe in the meta-ros project (github.com/bmwcarit/meta-ros). In the recipe, the hash of the license line is declared and is used to check for changes in the license. For this recipe, it was not matching the common one.
    A related already merged commit is https://github.com/ros/std_msgs/pull/3 and a related pending commit is https://github.com/ros-perception/pcl_msgs/pull/1.

 -- Paul Bovbel <paul@bovbel.com>  Mon, 26 Aug 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.4-0trusty) trusty; urgency=high

  * Fix a serialization error with point_cloud headers
  * Initialize shared pointers before use in part of the pcl_conversions
    Should address runtime errors reported in #29 <https://github.com/ros-perception/perception_pcl/issues/29>
  * Changed the default bounds on filters to -1000, 1000 from -5, 5 in common.py

 -- Paul Bovbel <paul@bovbel.com>  Mon, 22 Jul 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.2-0trusty) trusty; urgency=high

  * Fixed missing package exports on pcl_conversions and others
  * Make find_package on Eigen and PCL REQUIRED

 -- Paul Bovbel <paul@bovbel.com>  Thu, 18 Jul 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.1-0trusty) trusty; urgency=high

  * Add missing EIGEN define which caused failures on the farm

 -- Paul Bovbel <paul@bovbel.com>  Tue, 09 Jul 2013 15:00:00 -0000

ros-indigo-pcl-ros (1.1.0-0trusty) trusty; urgency=high

  * Add missing include in one of the installed headers
  * Refactors to use pcl-1.7
  * Use the PointIndices from pcl_msgs
  * Experimental changes to point_cloud.h
  * Fixes from converting from pcl-1.7, incomplete
  * Depend on pcl_conversions and pcl_msgs
  * bag_to_pcd: check return code of transformPointCloud()


=== debian/control ===
Source: ros-indigo-pcl-ros
Section: misc
Priority: extra
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libpcl-1.7-all-dev, libvtk-java, python-vtk, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-dynamic-reconfigure, ros-indigo-genmsg, ros-indigo-nodelet, ros-indigo-nodelet-topic-tools, ros-indigo-pcl-conversions, ros-indigo-pcl-msgs, ros-indigo-pluginlib, ros-indigo-rosbag, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-indigo-pcl-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libpcl-1.7-all, libpcl-1.7-all-dev, libvtk-java, python-vtk, ros-indigo-dynamic-reconfigure, ros-indigo-message-filters, ros-indigo-nodelet, ros-indigo-nodelet-topic-tools, ros-indigo-pcl-conversions, ros-indigo-pcl-msgs, ros-indigo-pluginlib, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: PCL (Point Cloud Library) ROS interface stack.
 PCL-ROS is the preferred bridge for 3D applications involving n-D Point Clouds and 3D geometry processing in ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pcl-ros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
